//
//	VidyoRemoteWindowShare_Objc.h
//	VidyoClient
//
//	This file is auto generated, do not edit this file
//	Copyright (c) 2016 Vidyo, Inc. All rights reserved.
//

#import "VidyoLocalRenderer_Objc.h"
#import "VidyoParticipant_Objc.h"
#import "VidyoVideoFrame_Objc.h"
@protocol VCRemoteWindowShareIRegisterFrameEventListener

	-(void) onRemoteWindowShareFrame:(VCParticipant*)participant VideoFrame:(VCVideoFrame*)videoFrame;
@end
@interface VCRemoteWindowShare : NSObject
{
	void* objPtr;
	@public
	id<VCRemoteWindowShareIRegisterFrameEventListener> remoteWindowShareIRegisterFrameEventListener;
}

	@property NSMutableString* id;
	@property NSMutableString* name;
	-(void) dealloc;
	-(long) addToLocalRenderer:(VCLocalRenderer*)renderer;
	-(NSString*) getId;
	-(NSString*) getName;
	-(BOOL) registerFrameEventListener:(id<VCRemoteWindowShareIRegisterFrameEventListener>)remoteWindowShareIRegisterFrameEventListener;
	-(BOOL) removeFromLocalRenderer:(VCLocalRenderer*)renderer;
	-(BOOL) setPositionInLocalRenderer:(VCLocalRenderer*)localRenderer X:(int)x Y:(int)y Width:(unsigned int)width Height:(unsigned int)height FrameInterval:(long)frameInterval;
	-(BOOL) unregisterFrameEventListener;
	-(id) initWithObject:(void*)rPtr;
	-(void*)getObjectPtr;
@end
